/*******************************************************************************************************
 * Informacni system vlaku.
 * Lukas Fritsch
 * rev. 17.7.11.0
 *******************************************************************************************************/
 
#include "DisplayInTrain.h"

CDisplayInTrain myTrain;//instance informacniho systemu vlaku


void setup()
{
  attachInterrupt(digitalPinToInterrupt(STATION_ON_REQUEST),StationOnRequestKeyPressedISR,RISING);  //aktivace preruseni od tlacitka Zastavit
  myTrain.Init(); //inicializace instance CDisplayInTrain
}

void loop()
{
  myTrain.OnLoop(); //opakovana obsluha informacniho systemu vlaku     
}

void StationOnRequestKeyPressedISR()
{
  //obsluha rutiny preruseni od tlacitka Zastavit na zastavce na znameni
  myTrain.AcceptRequest();
}



